package ru.mai.dep806.web;

import javax.servlet.*;
import javax.servlet.annotation.WebFilter;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * Created by EUGENEL on 09.12.2015.
 */
@WebFilter(urlPatterns = "*.jsp")
public class SecurityFilter implements Filter {

    public static String LOGIN_ATTRIBUTE_NAME = "userLogin";


    @Override
    public void init(FilterConfig filterConfig) throws ServletException {

    }

    @Override
    public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException {

        HttpServletRequest request = (HttpServletRequest) servletRequest;
        HttpServletResponse response = (HttpServletResponse) servletResponse;

        System.out.println("Hello from filter");
        String login = (String) request.getSession().getAttribute(LOGIN_ATTRIBUTE_NAME);

        if (login != null || request.getRequestURI().equals("/login.jsp")) {
            filterChain.doFilter(servletRequest, servletResponse);
        } else {
            response.sendRedirect("/login.jsp");
        }
    }

    @Override
    public void destroy() {

    }
}
